Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.authentication
Interface DefaultAuthenticatorMBean

public interface DefaultAuthenticatorMBean
extends weblogic.management.commo.StandardInterface, weblogic.security.providers.authentication.LoginExceptionPropagatorMBean, UserEditorMBean, GroupEditorMBean, GroupMemberListerMBean, MemberGroupListerMBean, ImportMBean, ExportMBean, weblogic.management.security.authentication.GroupMembershipHierarchyCacheMBean

The MBean that represents configuration attributes for the Weblogic Authentication provider. The WebLogic Authentication provider has methods to edit, list, and manage users, groups, and group membership. User and group information is stored in an embedded LDAP server. Currently, the only configuration attribute that can be set is Minimum Password Length.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` A short description of the WebLogic Authentication provider.
`java.lang.String` | `getGroupMembershipSearching()` Specifies whether recursive group membership searching is unlimited or limited.
`java.lang.Integer` | `getMaxGroupMembershipSearchLevel()` This specifies how many levels of group membership can be searched.
`int` | `getMinimumPasswordLength()` The minimum number of characters required in a password.
`java.lang.String` | `getProviderClassName()` The name of the Java class used to load the WebLogic Authentication provider.
`java.lang.String[]` | `getSupportedExportConstraints()` The users and groups that you want to be exported from this Authentication provider's database.
`java.lang.String[]` | `getSupportedExportFormats()` The format of the file to export.
`java.lang.String[]` | `getSupportedImportConstraints()` The users and groups that you want to be imported into this Authentication provider's database.
`java.lang.String[]` | `getSupportedImportFormats()` The format of the file to import.
`java.lang.Boolean` | `getUseRetrievedUserNameAsPrincipal()` This Flag Specifies Whether We should use the UserName Retrieved from LDAP as the Principal in the Subject.
`java.lang.String` | `getVersion()` The version number of the WebLogic Authentication provider.
`void` | `setGroupMembershipSearching(java.lang.String newValue)` Specifies whether recursive group membership searching is unlimited or limited.
`void` | `setMaxGroupMembershipSearchLevel(java.lang.Integer newValue)` This specifies how many levels of group membership can be searched.
`void` | `setMinimumPasswordLength(int newValue)` The minimum number of characters required in a password.
`void` | `setUseRetrievedUserNameAsPrincipal(java.lang.Boolean newValue)` This Flag Specifies Whether We should use the UserName Retrieved from LDAP as the Principal in the Subject.

Methods inherited from interface weblogic.security.providers.authentication.LoginExceptionPropagatorMBean
`getPropagateCauseForLoginException, setPropagateCauseForLoginException`

Methods inherited from interface weblogic.management.security.authentication.UserEditorMBean
`createUser, setUserDescription`

Methods inherited from interface weblogic.management.security.authentication.GroupEditorMBean
`addMemberToGroup, createGroup, removeMemberFromGroup, setGroupDescription`

Methods inherited from interface weblogic.management.security.authentication.GroupMemberListerMBean
`listGroupMembers`

Methods inherited from interface weblogic.management.security.authentication.MemberGroupListerMBean
`listMemberGroups`

Methods inherited from interface weblogic.management.security.ImportMBean
`importData`

Methods inherited from interface weblogic.management.security.ExportMBean
`exportData`

Methods inherited from interface weblogic.management.security.authentication.GroupMembershipHierarchyCacheMBean
`getEnableGroupMembershipLookupHierarchyCaching, getGroupHierarchyCacheTTL, getMaxGroupHierarchiesInCache, setEnableGroupMembershipLookupHierarchyCaching, setGroupHierarchyCacheTTL, setMaxGroupHierarchiesInCache`

Methods inherited from interface weblogic.management.security.authentication.AuthenticatorMBean
`getControlFlag, setControlFlag`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Methods inherited from interface weblogic.management.security.authentication.UserReaderMBean
`getUserDescription, listUsers, userExists`

Methods inherited from interface weblogic.management.security.authentication.UserPasswordEditorMBean
`changeUserPassword, resetUserPassword`

Methods inherited from interface weblogic.management.security.authentication.UserRemoverMBean
`removeUser`

Methods inherited from interface weblogic.management.security.authentication.GroupRemoverMBean
`removeGroup`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class used to load the WebLogic Authentication provider.

  Default Value: "weblogic.security.providers.authentication.DefaultAuthenticationProviderImpl"
  Legal NULL: true

### getDescription

    public java.lang.String getDescription()

  A short description of the WebLogic Authentication provider.

  Default Value: "WebLogic Authentication Provider"
  Legal NULL: true

### getVersion

    public java.lang.String getVersion()

  The version number of the WebLogic Authentication provider.

  Default Value: "1.0"
  Legal NULL: true

### getMinimumPasswordLength

    public int getMinimumPasswordLength()

  The minimum number of characters required in a password.

  Default Value: new Integer(8)
  Legal NULL: true
  Legal Minimum Value: 0

### setMinimumPasswordLength

    public void setMinimumPasswordLength(int newValue)
                                  throws javax.management.InvalidAttributeValueException

  The minimum number of characters required in a password.

  Default Value: new Integer(8)
  Legal NULL: true
  Legal Minimum Value: 0
  Parameters:
    `newValue` - - new value for attribute MinimumPasswordLength
  Throws:
    javax.management.InvalidAttributeValueException -

### getSupportedImportFormats

    public java.lang.String[] getSupportedImportFormats()

  The format of the file to import. The list of supported import formats is determined by the AUthentication provider from which the users and groups were originally exported.
  Specified by:
    getSupportedImportFormats in interface ImportMBean

  Default Value: new String[] { "DefaultAtn" }
  Legal NULL: true

### getSupportedImportConstraints

    public java.lang.String[] getSupportedImportConstraints()

  The users and groups that you want to be imported into this Authentication provider's database. If none are specified, all are imported.
  Specified by:
    getSupportedImportConstraints in interface ImportMBean

  Default Value: new String[0]
  Legal NULL: true

### getSupportedExportFormats

    public java.lang.String[] getSupportedExportFormats()

  The format of the file to export. The list of supported export formats is determined by this Authentication provider.
  Specified by:
    getSupportedExportFormats in interface ExportMBean

  Default Value: new String[] { "DefaultAtn" }
  Legal NULL: true

### getSupportedExportConstraints

    public java.lang.String[] getSupportedExportConstraints()

  The users and groups that you want to be exported from this Authentication provider's database. If none are specified, all are exported.
  Specified by:
    getSupportedExportConstraints in interface ExportMBean

  Default Value: new String[] { "users", "groups" }
  Legal NULL: true

### getGroupMembershipSearching

    public java.lang.String getGroupMembershipSearching()

  Specifies whether recursive group membership searching is unlimited or limited. Valid values are `unlimited` and `limited`.

  Default Value: "unlimited"
  Legal NULL: true
  Legal Values: unlimited,limited

### setGroupMembershipSearching

    public void setGroupMembershipSearching(java.lang.String newValue)
                                     throws javax.management.InvalidAttributeValueException

  Specifies whether recursive group membership searching is unlimited or limited. Valid values are `unlimited` and `limited`.

  Default Value: "unlimited"
  Legal NULL: true
  Legal Values: unlimited,limited
  Parameters:
    `newValue` - - new value for attribute GroupMembershipSearching
  Throws:
    javax.management.InvalidAttributeValueException -

### getMaxGroupMembershipSearchLevel

    public java.lang.Integer getMaxGroupMembershipSearchLevel()

  This specifies how many levels of group membership can be searched. This setting is valid only if GroupMemberShipSearching is set to `limited` Valid values are 0, and positive integers. For example, 0 indicates only direct group memberships will be found, positive number indicates the number of levels to go down.

  Default Value: new Integer(0)
  Legal NULL: true

### setMaxGroupMembershipSearchLevel

    public void setMaxGroupMembershipSearchLevel(java.lang.Integer newValue)
                                          throws javax.management.InvalidAttributeValueException

  This specifies how many levels of group membership can be searched. This setting is valid only if GroupMemberShipSearching is set to `limited` Valid values are 0, and positive integers. For example, 0 indicates only direct group memberships will be found, positive number indicates the number of levels to go down.

  Default Value: new Integer(0)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute MaxGroupMembershipSearchLevel
  Throws:
    javax.management.InvalidAttributeValueException -

### getUseRetrievedUserNameAsPrincipal

    public java.lang.Boolean getUseRetrievedUserNameAsPrincipal()

  This Flag Specifies Whether We should use the UserName Retrieved from LDAP as the Principal in the Subject.

  Default Value: new Boolean(false)
  Legal NULL: true

### setUseRetrievedUserNameAsPrincipal

    public void setUseRetrievedUserNameAsPrincipal(java.lang.Boolean newValue)
                                            throws javax.management.InvalidAttributeValueException

  This Flag Specifies Whether We should use the UserName Retrieved from LDAP as the Principal in the Subject.

  Default Value: new Boolean(false)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute UseRetrievedUserNameAsPrincipal
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD